#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <wiringPi.h>

// In .pro-Datei ergänzen, damit der Pfad zu wiringPi gefunden wird:
//
//INCLUDEPATH    += /usr/local/include
//LIBS += -L/usr/local/lib -lwiringPi
//
// Quelle: https://www.raspberrypi.org/forums/viewtopic.php?t=33881

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    wiringPiSetup();
    pinMode (5, OUTPUT);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
    digitalWrite(5, HIGH);
}

void MainWindow::on_pushButton_2_clicked()
{
    digitalWrite(5, LOW);
}
